// Shader2sidedView.h : interface of the CShader2sidedView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHADER2SIDEDVIEW_H__9EBB12B5_529D_4A9A_8D49_4EC8888F4A65__INCLUDED_)
#define AFX_SHADER2SIDEDVIEW_H__9EBB12B5_529D_4A9A_8D49_4EC8888F4A65__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CShader2sidedView : public CView
{
protected: // create from serialization only
	CShader2sidedView();
	DECLARE_DYNCREATE(CShader2sidedView)

// Attributes
public:
	CShader2sidedDoc* GetDocument();

// Operations
public:

protected:

  bool  DrawFrame   (void);

  bool  m_bo2Sided;
  bool  m_boWireframe;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CShader2sidedView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CShader2sidedView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CShader2sidedView)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void On2sided();
	afx_msg void OnUpdate2sided(CCmdUI* pCmdUI);
	afx_msg void OnWireframe();
	afx_msg void OnUpdateWireframe(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Shader2sidedView.cpp
inline CShader2sidedDoc* CShader2sidedView::GetDocument()
   { return (CShader2sidedDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHADER2SIDEDVIEW_H__9EBB12B5_529D_4A9A_8D49_4EC8888F4A65__INCLUDED_)
