//--------------------------------------------------------------------------------------------------------------------//
//                                                DX9 RENDERER CLASS                                                  //
//--------------------------------------------------------------------------------------------------------------------//

#ifndef   _MYTHOS_RENDERERDX9_INL_
#define   _MYTHOS_RENDERERDX9_INL_
#pragma    once

namespace Mythos
{

//--------------------------------------------------------------------------------------------------------------------//
//                                                CONSTRUCTORS / DESTRUCTOR                                           //
//--------------------------------------------------------------------------------------------------------------------//

INLINE CRendererDX9::CRendererDX9() : m_bo2Sided(true)
  {
  m_pDevice = NULL;
  m_pD3D    = NULL;

  m_pIB = NULL;
  m_pVB = NULL;

  m_pVertexShader      = NULL;
  m_pVertexDeclaration = NULL;
  m_pVertexConstants   = NULL;

  m_pPixelShader    = NULL;
  m_pPixelConstants = NULL;

  m_pTexFront = NULL;
  m_pTexBack  = NULL;
  }

//

INLINE CRendererDX9::~CRendererDX9()
  {
  Destroy();
  }

//--------------------------------------------------------------------------------------------------------------------//

} // namespace

#endif // _MYTHOS_RENDERERDX9_INL_
